%define name libmowgli
%define version 2.0.0
%define release %mkrel 2

%define major 0
%define libname %mklibname mowgli2_ %major
%define libnamedev %mklibname -d mowgli2

Summary: Development framework with high performance algorithms
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://distfiles.atheme.org/libmowgli-2-libmowgli-%version.tar.xz
License: BSD
Group: System/Libraries
URL: http://www.atheme-project.org/projects/mowgli.shtml
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes: 	%{name} < %version
BuildRequires: %{_lib}openssl-devel

%description
mowgli is a development framework for C (like GLib), which provides
high performance and highly flexible algorithms. It can be used as a
suppliment to GLib (to add additional functions (dictionaries,
hashes), or replace some of the slow GLib list manipulation
functions), or stand alone. It also provides a powerful hook system
and convenient logging for your code, as well as a high performance
block allocator.


%package -n %{libname}
Group: System/Libraries
Summary: Development framework library

%description -n %{libname}
mowgli is a development framework for C (like GLib), which provides
high performance and highly flexible algorithms. It can be used as a
suppliment to GLib (to add additional functions (dictionaries,
hashes), or replace some of the slow GLib list manipulation
functions), or stand alone. It also provides a powerful hook system
and convenient logging for your code, as well as a high performance
block allocator.

%package -n %libnamedev
Group: Development/Libraries
Summary: Development framework header files
Requires: %libname = %version
Provides: %name-devel = %version-%release

%description -n %libnamedev
mowgli is a development framework for C (like GLib), which provides
high performance and highly flexible algorithms. It can be used as a
suppliment to GLib (to add additional functions (dictionaries,
hashes), or replace some of the slow GLib list manipulation
functions), or stand alone. It also provides a powerful hook system
and convenient logging for your code, as well as a high performance
block allocator.

%prep
%setup -qn %{name}-2-%{name}-%{version}

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{libname}
%defattr(-,root,root)
%_libdir/libmowgli-2.so.%{major}*

%files -n %libnamedev
%defattr(-,root,root)
%doc AUTHORS
%_libdir/libmowgli-2.so
%_libdir/pkgconfig/libmowgli-2.pc
%_includedir/%{name}-2/


%changelog
* Fri Apr 24 2014 bb <bb> 2.0.0-2pclos2014
- rebuild for new openssl

* Thu Apr 24 2014 ghostbunny <ghostbunny at gmx dot de> 2.0.0-1pclos2014
- 2.0.0
- remove ldconfig post and postun scripts

* Wed May 04 2011 Texstar <texstar at gmail.com> 0.9.50-1pclos2011
- 0.9.50

* Sat Jul 24 2010 pcserver <pcserver at hush.com> 0.7.0-1pclos2010
- 0.7.0

